// ------------------------------------------------------------------------
//
// SPDX-License-Identifier: LGPL-2.1-or-later
// Copyright (C) 2008 - 2022 by the deal.II authors
//
// This file is part of the deal.II library.
//
// Part of the source code is dual licensed under Apache-2.0 WITH
// LLVM-exception OR LGPL-2.1-or-later. Detailed license information
// governing the source code and code contributions can be found in
// LICENSE.md and CONTRIBUTING.md at the top level directory of deal.II.
//
// ------------------------------------------------------------------------



/**
 * @defgroup TrilinosWrappers TrilinosWrappers
 *
 * The classes in this group are wrappers around functionality
 * provided by the Trilinos library. They provide a modern
 * object-oriented interface that is compatible with the interfaces of
 * the other linear algebra classes in deal.II. All classes and
 * functions in this group reside in a namespace @p TrilinosWrappers.
 *
 * These classes are only available if a Trilinos installation was
 * detected during configuration of deal.II. Refer to the README file
 * for more details about this.
 *
 * @ingroup LAC
 */
