// ------------------------------------------------------------------------
//
// SPDX-License-Identifier: LGPL-2.1-or-later
// Copyright (C) 2018 - 2023 by the deal.II authors
//
// This file is part of the deal.II library.
//
// Part of the source code is dual licensed under Apache-2.0 WITH
// LLVM-exception OR LGPL-2.1-or-later. Detailed license information
// governing the source code and code contributions can be found in
// LICENSE.md and CONTRIBUTING.md at the top level directory of deal.II.
//
// ------------------------------------------------------------------------

/**
@page changes_between_9_0_0_and_9_0_1 Changes between Version 9.0.0 and 9.0.1

<p>
This is the list of changes made between the release of deal.II version
9.0.0 and that of 9.0.1. All entries are signed with the names of the
author.
</p>



<!-- ----------- INCOMPATIBILITIES ----------------- -->

<a name="900-901-incompatible"></a>
<h3 style="color:red">Incompatibilities</h3>

<p style="color:red">
Following are a few modifications to the library that unfortunately
are incompatible with previous versions of the library, but which we
deem necessary for the future maintainability of the
library. Unfortunately, some of these changes will require
modifications to application programs. We apologize for the
inconvenience this causes.
</p>


<!-- ----------- GENERAL IMPROVEMENTS ----------------- -->

<a name="900-901-general"></a>
<h3>General</h3>


<!-- ----------- SPECIFIC IMPROVEMENTS ----------------- -->

<a name="900-901-specific"></a>
<h3>Specific improvements</h3>

<ol>

 <li> Fixed: Various build system fixes; PETSc/SLEPSc version detection,
 OpenMP detection, Lapack symbol check
 <br>
 (Andreas Fink, Matthias Maier 2018/05/17-09/06)
 </li>

 <li> Fixed: Various compilation fixes.
 <br>
 (Daniel Arndt, Wolfgang Bangerth, Rene Gassmoeller 2018/05/17-09/06)
 </li>

</ol>

*/
